@import "~assets/scss/variables";

h1 {
    display: flex;
    align-items: center;
    button {
        margin-left: auto;
    }
}

.mat-dialog-content {
    display: flex;
}

.dropzone {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    border: 2px dashed mat-color($irregoBlueGrey);
    border-radius: 5px;
    background: white;
    width: calc(calc(80vw - 48px) / 2);
    height: 40vh;
    box-sizing: border-box;
    &.hovering {
        border: 2px solid mat-color($irregoBlueGrey);
        color: #dadada !important;
    }
    input[type="file"] {
        opacity: 0;
        position: absolute;
    }
    button {
        padding: 0;
    }
    label {
        display: flex;
        padding: 0 24px;
        align-items: center;
    }
}

.preview {
    box-sizing: border-box;
    padding: 0 0 0 20px;
    width: 250px;
    .files {
        margin-bottom: 30px;
        .delete-icon {
            order: 10;
            margin-left: auto;
        }
    }
}